#
# spec file for package SDL_image (Version 1.2.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    SDL SDL-devel aaa_base aalib aalib-devel acl alsa alsa-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           SDL_image
BuildRequires:  SDL-devel libjpeg-devel libpng-devel libtiff-devel xorg-x11
Url:            http://www.libsdl.org/projects/SDL_image/
Summary:        Simple DirectMedia Layer--Sample Image Loading Library
Version:        1.2.5
Release:        27
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-xcfinc.diff
Patch1:         %{name}-%{version}-gif-overflow.patch
Patch2:         %{name}-%{version}-lbm-overflow.patch
License:        LGPL v2.1 or later
Group:          System/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         %{_prefix}

%description
This is a simple library to load images of various formats as SDL
surfaces. This library supports BMP, PPM, PCX, GIF, JPEG, PNG, and TIFF
formats.



Authors:
--------
    Sam Lantinga <slouken@devolution.com>

%debug_package
%package devel
Summary:        Libraries, includes and more to develop SDL_image applications
Group:          Development/Libraries/X11
Requires:       %{name} = %{version} SDL-devel libjpeg-devel libpng-devel libtiff-devel libstdc++-devel gcc gpm

%description devel
This is a simple library to load images of various formats as SDL
surfaces. This library supports BMP, PPM, PCX, GIF, JPEG, PNG, and TIFF
formats.



Authors:
--------
    Sam Lantinga <slouken@devolution.com>

%prep
%setup
%patch0
%patch1
%patch2

%build
%{?suse_update_config:%{suse_update_config -f }}
rm acinclude.m4 ; touch acinclude.m4 # Only contains SDL.m4 and libtool.m4
libtoolize --copy --force 
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} \
	--libdir=%{prefix}/%_lib
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%{prefix}/%_lib/lib*.so.*

%files devel
%defattr(-,root,root)
%{prefix}/%_lib/*a
%{prefix}/include/SDL/
%{prefix}/%_lib/lib*.so

%changelog
* Tue Jan 29 2008 - prusnak@suse.cz
- fix buffer overflow in LBM code (lbm-overflow.patch) [#355864]
* Fri Jan 25 2008 - prusnak@suse.cz
- fix buffer overflow in GIF code (gif-overflow.patch) [#355864]
* Wed Nov 08 2006 - prusnak@suse.cz
- increment moved outside of assignement [#218752]
* Fri Sep 29 2006 - schwab@suse.de
- Require libtiff-devel for SDL_image-devel.
* Tue Sep 12 2006 - nadvornik@suse.cz
- updated to 1.2.5:
  * Added support for dynamically loading libjpeg, libpng, and libtiff.
  * Added gcc-fat.sh for generating Universal binaries on Mac OS X
  * Added support for XV thumbnail images
  * Added support for 32-bit BMP files with alpha
- fixed requires of devel subpackage [#192736]
* Fri Mar 10 2006 - bk@suse.de
- SDL_image-devel: add libstdc++, gcc and gpm to Requires (.la check)
* Mon Jan 30 2006 - coolo@suse.de
- fixing BuildRequires to include png support
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jul 19 2005 - nadvornik@suse.cz
- updated to 1.2.4
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Fri Jul 25 2003 - nadvornik@suse.cz
- update to 1.2.3
* Wed Jul 03 2002 - nadvornik@suse.cz
- updated to 1.2.2
* Tue Jun 11 2002 - meissner@suse.de
- regenerate auto files, removed acinclude.m4 (which only contains
  SDL.m4 and libtool.m4).
* Fri May 10 2002 - ro@suse.de
- libdir fixed
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 22 2002 - ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Tue Jan 08 2002 - nadvornik@suse.cz
- updated to 1.2.1:
    - added LBM format
    - fixed transparent GIF and PNG
* Wed Aug 08 2001 - uli@suse.de
- fixed neededforbuild wrt SDL renaming
* Wed Jun 20 2001 - nadvornik@suse.cz
- added kdelibs and kdelibs-devel to neededforbuild
* Thu Apr 12 2001 - nadvornik@suse.cz
- update to 1.2.0
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Mon Feb 19 2001 - uli@suse.de
- added alsa* to neededforbuild (needed by new SDL)
* Tue Dec 05 2000 - nadvornik@suse.cz
- added suse_update_config
* Tue Nov 28 2000 - nadvornik@suse.cz
- new package
